#pragma once
#pragma unmanaged
#include "BulletDynamics/ConstraintSolver/btSequentialImpulseConstraintSolver.h"
#pragma managed
#include "IConstraintSolver.h"

using namespace System;

namespace BulletCLI
{

    public ref class SequentialImpulseConstraintSolver : public IConstraintSolver
	{
	private:
		btSequentialImpulseConstraintSolver* m_p;
    internal:
        virtual btConstraintSolver* GetPtr() override {return m_p;}
	public:
		SequentialImpulseConstraintSolver();
		virtual ~SequentialImpulseConstraintSolver();
		!SequentialImpulseConstraintSolver();
        
    };
}